Summary: A stream directory browser
Name: streamtuner
Version: 0.99.99
Release: 25%{?dist}
URL: http://streamtuner.sourceforge.net
Source0: http://download.savannah.nongnu.org/releases/streamtuner/streamtuner-0.99.99.tar.gz
Source1: %{name}.png
Patch0: %{name}-%{version}-live365.patch
Patch1: %{name}-%{version}-pygtk-2.6.patch
Patch2: %{name}-%{version}-defaultconfig.patch
Patch3: %{name}-%{version}-pkgconfig.patch
Patch4: %{name}-%{version}-shoutcast.patch
License: BSD
Group: Applications/Internet
Requires: python, pygtk2, xdg-utils, audacious, xterm
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
BuildRequires: gtk2-devel, curl-devel, openssl-devel, python-devel, scrollkeeper
BuildRequires: taglib-devel, libidn-devel, pygtk2-devel, libxml2-devel, gettext
BuildRequires: desktop-file-utils
Obsoletes: streamtuner-live365, streamtuner-local, streamtuner-xiph, streamtuner-python
Provides: streamtuner-live365, streamtuner-local, streamtuner-xiph, streamtuner-python
                
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
Streamtuner is a stream directory browser,
it offers an intuitive GTK+ 2.0 interface
to Internet radio directories such as SHOUTcast and Live365.

%package devel
Summary: Development files for streamtuner
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel, pkgconfig

%description devel
Streamtuner is a stream directory browser,
it offers an intuitive GTK+ 2.0 interface
to Internet radio directories such as SHOUTcast and Live365
This package contains the libraries and includes files necessary
to develop applications for Streamtuner.

%prep
%setup -q
%patch0 -p0 -b .%{name}-%{version}-live365
%patch1 -p0 -b .%{name}-%{version}-pygtk-2.6
%patch2 -p0 -b .%{name}-%{version}-defaultconfig.patch
%patch3 -p1 -b .%{name}-%{version}-pkgconfig.patch
%patch4 -p1 -b .%{name}-%{version}-shoutcast.patch

iconv -f latin1 -t utf8 < NEWS > NEWS.utf8
touch -c -r NEWS NEWS.utf8
mv NEWS.utf8 NEWS

%build
%configure --disable-live365
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

make install DESTDIR=%{buildroot} INSTALL='install -p'
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -p -m644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{__rm} -rf %{buildroot}%{_localstatedir}
%{__rm} %{buildroot}%{_libdir}/%{name}/plugins/*.*a

mkdir -p %{buildroot}%{_datadir}/applications 
desktop-file-install --vendor=fedora         \
  --delete-original                          \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/gtk-doc/html/*
%dir %{_datadir}/help
%{_datadir}/help/*

%files devel
%defattr(-, root, root, -)
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Mon Oct 20 2008 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-25
- Rebuild without live365

* Mon Oct 20 2008 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-24
- A change from htmlview to xdg-open and some minor fixes - thanks to Patrice Dumas

* Wed Sep 17 2008 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-23
- shoutcast-base-url patch added to shoutcast patch

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.99.99-17
- Autorebuild for GCC 4.3

* Mon Feb 26 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-16
- bump up release

* Thu Nov 23 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-15
- bump up release 

* Thu Nov 23 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-14
- FC6 uses audacious instead beep-media-player
- defaultconfig.patch changed
- dependency changed

* Fri Sep 15 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-13
- Rebuild for Fedora Extras 6

* Sat Mar  4 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-12
- Rebuild for Fedora Extras 5

* Wed Jan 18 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-11
- only a sync of the version number with the increased one from FC3

* Sat Jan  7 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-9
- desktop-file-utils dependency removed from requires(post) and requires(postun)  

* Sat Jan  7 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-8
- desktop-file-utils dependency added again

* Fri Jan  6 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-7
- desktop-file-utils dependency removed

* Mon Jan  2 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-6
- redundant dependencies removed
- useless update-desktop-database call removed
- pkgconfig.patch added
 
* Thu Dec 29 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-5
- defaultconfig patch for htmlview and beep-media-player
- htmlview, bmp and xterm added to deps
- more cleanups

* Mon Dec 19 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-4
- more cleanups
- libxml2-devel and desktop-file-utils added to BuildRequires

* Sun Dec 18 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-3
- cleanups

* Wed Jun 29 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.99.99-2.fc4
- update-desktop-database added to post and postun

* Thu Jun 16 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.99-1
- Update to 0.99.99
- File list changed
- Patches added
- Rebuild for Fedora Core 4

* Wed Nov 10 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Added libidn and libidn-devel
- Rebuild for Fedora Core 3

* Sat Oct 23 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.99
- Many changes because the plugins have been now included in the core distribution
- Taglib and taglib-devel added to deps

* Wed Aug 11 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.12.5
_ Category changed to AudioVideo for desktop link

* Tue Aug 03 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.12.4
- ChangeLog removed from the documentation

* Thu Jun 03 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for Fedora Core 2

* Tue May 12 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.12.3

* Fri Apr 02 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.12.1
- scrollkeeper and some cleanups

* Wed Feb 18 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.11.1

* Sat Jan 03 2004 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.10.2

* Sun Nov 09 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for Fedora Core 1

* Mon Sep 29 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.10.1
- Some new translations

* Wed Jul 16 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Update to 0.10.0
- Theme directorys are removed and some cleanups are done

* Sat Apr 05 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild of 0.9.1 for RH9

* Tue Mar 18 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Rebuild for 0.9.1

* Sun Feb 02 2003 Matthias Haase <matthias_haase@bennewitz.com>
- Changes in order to match the GNU build system
- Split into binary/devel packages
- Rebuild for 0.9.0

* Wed Dec 25 2002 Matthias Haase <matthias_haase@bennewitz.com>
- Some cleanups in order to match RH8
- smp flag added
- RPM_OPT_FLAGS added
- debugging disabled

* Sat Oct 29 2002 Rudolf Kastl
- Cosmetical changes.

* Sat Oct 05 2002 Rudolf Kastl
- Minor fixes and new version.

* Wed Aug 21 2002 Rudolf Kastl
- Initial RPM release
